Subject: bug#64022: closed (Re: bug#64022: Subject: 28.2; minibuffer-beginning-of-buffer fails to set mark)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 17 Jun 2023 07:46:02 +0000

Your bug report

#64022: Subject: 28.2; minibuffer-beginning-of-buffer fails to set mark

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64022: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64022
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64022: Subject: 28.2; minibuffer-beginning-of-buffer fails to set mark
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 17 Jun 2023 10:44:56 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Mon, 12 Jun 2023 18:49:30 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Al Petrofsky <[email-masked]>
> > Date: Mon, 12 Jun 2023 11:15:43 -0400
> > 
> >    emacs -Q
> >    M-: foo M-< C-x C-x
> > 
> > In emacs 26, point returns to the end of the minibuffer, but in 27 and
> > 28.2 a bogus "No mark set in this buffer" error is reported.
> > 
> > I think the first 'when' in minibuffer-beginning-of-buffer is supposed
> > to be 'unless'.
> 
> You are right.  I've now fixed this on the emacs-29 branch.

No further comments, so I'm now closing this bug.

Subject: Subject: 28.2; minibuffer-beginning-of-buffer fails to set mark
From: Al Petrofsky <[email-masked]>
To: [email-masked]
Date: Mon, 12 Jun 2023 11:15:43 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

   emacs -Q
   M-: foo M-< C-x C-x

In emacs 26, point returns to the end of the minibuffer, but in 27 and
28.2 a bogus "No mark set in this buffer" error is reported.

I think the first 'when' in minibuffer-beginning-of-buffer is supposed
to be 'unless'.

Another issue is that this:

   emacs -Q
   M-: C-x C-x

correctly reports "No mark set in this buffer", but this:

   emacs -Q
   M-: t C-@ RET
   M-: C-x C-x

does not.  This does no harm, but logically the mark should probably
be unset when a new minibuffer is created.